# I

## in\_air

玩家必须在空中才能满足该条件。

```
- id: in_air
```

## in\_biome

玩家必须在指定生物群系之一才能满足该条件。

```
- id: in_biome
  args:
    biomes:
      - river
      - savanna
```

其中：

* args.biomes：生物群系列表。

## in\_mainhand

玩家主手必须有物品列表之一才能满足该条件。

```
- id: in_mainhand
  args:
    items:
      - diamond_sword sharpness:4
      - netherite_sword sharpness:3 
```

其中：

* args.items：物品列表，使用物品语法。

## in\_offhand

玩家副手必须有物品列表之一才能满足该条件。

```
- id: in_offhand
  args:
    items:
      - diamond_sword sharpness:4
      - netherite_sword sharpness:3 
```

其中：

* args.items：物品列表，使用物品语法。

## in\_water

玩家必须在水中才能满足该条件。

```
- id: in_water
```

## in\_world

玩家必须在指定世界才能满足该条件，如果有多个世界，配合 `any_of` 条件使用。

```
- id: in_world
  args:
    world: the_end
```

其中：

* args.world：世界名称。

## is\_booster\_active

必须在某个加倍器激活情况下才能满足该条件。

```
- id: is_booster_active
  args:
    booster: 1_5skill_multiplier
```

其中：

* args.booster：加倍器id。

## is\_frozen

玩家必须在冰冻情况下才能满足该条件。

```
- id: is_frozen
```

## is\_gliding

玩家必须在鞘翅滑行情况下才能满足该条件。

```
- id: is_gliding
```

## is\_night

时间必须在夜晚情况下才能满足该条件。

```
- id: is_night
```

## is\_sneaking

玩家必须在潜行状态下才能满足该条件。

```
- id: is_sneaking
```

## is\_sprinting

玩家必须在疾跑状态下才能满足该条件。

```
- id: is_sprinting
```

## is\_storm

天气必须在雷暴下才能满足该条件。

```
- id: is_storm
```

## is\_wearing\_set

玩家必须穿戴 **EcoArmor** 的盔甲套装才能满足该条件。

```
- id: is_wearing_set
  args:
    set: reaper 
```

其中：

* args.set：盔甲套装id。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/ecox-doc/ji-neng-xi-tong/tiao-jian-lie-biao/i.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
